GNU bug report logs - #12672
Wrong path to funclib.sh

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Peter Rosin <peda@HIDDEN>; dated Thu, 18 Oct 2012 15:18:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 12672 <at> debbugs.gnu.org:


Received: (at 12672) by debbugs.gnu.org; 18 Oct 2012 19:49:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 15:49:34 2012
Received: from localhost ([127.0.0.1]:50444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOw61-0002tV-QF
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 15:49:34 -0400
Received: from mail.lysator.liu.se ([130.236.254.3]:59264)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <peda@HIDDEN>) id 1TOw5x-0002tE-6u
	for 12672 <at> debbugs.gnu.org; Thu, 18 Oct 2012 15:49:30 -0400
Received: from mail.lysator.liu.se (localhost [127.0.0.1])
	by mail.lysator.liu.se (Postfix) with ESMTP id 0CC6C40012;
	Thu, 18 Oct 2012 21:48:02 +0200 (CEST)
Received: from [192.168.0.64] (90-227-119-137-no95.business.telia.com
	[90.227.119.137])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by mail.lysator.liu.se (Postfix) with ESMTPSA id B5B934000F;
	Thu, 18 Oct 2012 21:48:01 +0200 (CEST)
Message-ID: <50805D28.2090602@HIDDEN>
Date: Thu, 18 Oct 2012 21:48:56 +0200
From: Peter Rosin <peda@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:16.0) Gecko/20121010 Thunderbird/16.0.1
MIME-Version: 1.0
To: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#12672: Wrong path to funclib.sh
References: <50801D36.8010004@HIDDEN>
	<39A15526-7EAC-4481-BF2F-758D10168D7B@HIDDEN>
In-Reply-To: <39A15526-7EAC-4481-BF2F-758D10168D7B@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Virus-Scanned: ClamAV using ClamSMTP
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 12672
Cc: "12672 <at> debbugs.gnu.org" <12672 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.4 (/)

close 12672

Hi Gary!

On 2012-10-18 21:27, Gary V. Vaughan wrote:
> On 18 =E0=B8=95.=E0=B8=84. 2012, at 22:16, Peter Rosin <peda@HIDDEN=
u.se> wrote:
>> [[snip]]
>> I have also checked to just build a pristine tarball from
>> the MSYS side, without building on Cygwin first, same problem.
>> It appears that the path to funclib.sh is fixed during
>> bootstrap which of course is totally b0rked.
>=20
> Oh! Nice catch, thank you :-)
>=20
> Fixed. Please pull my updates.

Seems to have done it, and I'm back in business. Thanks for the
quick fix!

Cheers,
Peter





Information forwarded to bug-libtool@HIDDEN:
bug#12672; Package libtool. Full text available.

Message received at 12672 <at> debbugs.gnu.org:


Received: (at 12672) by debbugs.gnu.org; 18 Oct 2012 19:28:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 15:28:28 2012
Received: from localhost ([127.0.0.1]:50397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOvlb-0001Vo-HV
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 15:28:28 -0400
Received: from caiajhbdcbbj.dreamhost.com ([208.97.132.119]:49060
	helo=homiemail-a21.g.dreamhost.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <gary@HIDDEN>) id 1TOvlY-0001Vg-Dp
	for 12672 <at> debbugs.gnu.org; Thu, 18 Oct 2012 15:28:25 -0400
Received: from homiemail-a21.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a21.g.dreamhost.com (Postfix) with ESMTP id EE8F0300074;
	Thu, 18 Oct 2012 12:26:57 -0700 (PDT)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=vaughan.pe; h=references
	:mime-version:in-reply-to:content-type:content-transfer-encoding
	:message-id:cc:from:subject:date:to; q=dns; s=vaughan.pe; b=dIyU
	r4yyz8p8bWVPo2efk2aLPS51sJk2e1FRY22RmQKaK0SGw2YPOOEbe01u+iyHPf2N
	CgYSvkcu2gZeLuvYsUubHv6Hyrd36BUr4kOka83kH4Rm2xrQBYbCUvt9imx7xfkO
	aOy7xzvLxv34NkraKIsr4q3XzB0HpyORf3Q1p4Y=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=vaughan.pe; h=references
	:mime-version:in-reply-to:content-type:content-transfer-encoding
	:message-id:cc:from:subject:date:to; s=vaughan.pe; bh=M+AESUYWfu
	0+65RBvDNv4lSkYhE=; b=Vyx/pY5uDb5JUwEtfUrIRqXRRbGW0lW/GyJXNtkDXA
	YyU4Hw0oP3RDVAkIRIkuxJ4QzCD3HLve5WLSxKMiEta0rKBWne2ZLDrQ48fGIPrN
	d4FP6NZbS5FwJEIaa4k13e/aE3oLr3kXE1OeM91QCvy8BpbSQavkTiFielUOS7nO
	s=
Received: from [192.168.1.12] (unknown [183.89.61.183])
	(using TLSv1 with cipher AES128-SHA (128/128 bits))
	(No client certificate requested)
	(Authenticated sender: gary@HIDDEN)
	by homiemail-a21.g.dreamhost.com (Postfix) with ESMTPSA id 6BA8130006C; 
	Thu, 18 Oct 2012 12:26:57 -0700 (PDT)
References: <50801D36.8010004@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <50801D36.8010004@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Message-Id: <39A15526-7EAC-4481-BF2F-758D10168D7B@HIDDEN>
X-Mailer: iPhone Mail (10A403)
From: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#12672: Wrong path to funclib.sh
Date: Fri, 19 Oct 2012 02:27:23 +0700
To: Peter Rosin <peda@HIDDEN>
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12672
Cc: "12672 <at> debbugs.gnu.org" <12672 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

Hi Peter,

On 18 =E0=B8=95.=E0=B8=84. 2012, at 22:16, Peter Rosin <peda@HIDDEN>=
 wrote:
> [[snip]]
> I have also checked to just build a pristine tarball from
> the MSYS side, without building on Cygwin first, same problem.
> It appears that the path to funclib.sh is fixed during
> bootstrap which of course is totally b0rked.

Oh! Nice catch, thank you :-)

Fixed. Please pull my updates.

Cheers,
--=20
Gary V. Vaughan (gary AT gnu DOT org)=




Information forwarded to bug-libtool@HIDDEN:
bug#12672; Package libtool. Full text available.

Message received at 12672 <at> debbugs.gnu.org:


Received: (at 12672) by debbugs.gnu.org; 18 Oct 2012 17:58:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 13:58:57 2012
Received: from localhost ([127.0.0.1]:50221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOuMy-0006ul-Ic
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 13:58:57 -0400
Received: from mail.lysator.liu.se ([130.236.254.3]:35575)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <peda@HIDDEN>) id 1TOuMt-0006ua-Nw
	for 12672 <at> debbugs.gnu.org; Thu, 18 Oct 2012 13:58:55 -0400
Received: from mail.lysator.liu.se (localhost [127.0.0.1])
	by mail.lysator.liu.se (Postfix) with ESMTP id D9CDF40012;
	Thu, 18 Oct 2012 19:57:22 +0200 (CEST)
Received: from [192.168.0.64] (90-227-119-137-no95.business.telia.com
	[90.227.119.137])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by mail.lysator.liu.se (Postfix) with ESMTPSA id 6251F4000F;
	Thu, 18 Oct 2012 19:57:22 +0200 (CEST)
Message-ID: <50804339.80904@HIDDEN>
Date: Thu, 18 Oct 2012 19:58:17 +0200
From: Peter Rosin <peda@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:16.0) Gecko/20121010 Thunderbird/16.0.1
MIME-Version: 1.0
To: Earnie Boyd <earnie@HIDDEN>
Subject: Re: bug#12672: Wrong path to funclib.sh
References: <50801D36.8010004@HIDDEN>
	<CA+sc5m=R6Cph9xtvkVzYTXF+nzfV7tzbsML7=ZpwAuB9MpF0gQ@HIDDEN>
In-Reply-To: <CA+sc5m=R6Cph9xtvkVzYTXF+nzfV7tzbsML7=ZpwAuB9MpF0gQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 12672
Cc: 12672 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.4 (/)

[re-adding the bug, I hope that's ok]

On 2012-10-18 19:18, Earnie Boyd wrote:
> On Thu, Oct 18, 2012 at 11:16 AM, Peter Rosin <peda@HIDDEN> wrote:
>>
>> So far so good, but if I then switch to MSYS/MinGW, which does not
>> have the same file system layout, I get:
>>
>> $ cd /c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty
>> $ mkdir mgw
>> $ cd mgw
>> $ ../configure
>> ...
>> $ make
>>   GEN    libtoolize
>>   GEN    libltdl/argz.h
>> make  all-recursive
>> make[1]: Entering directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
>> Making all in .
>> make[2]: Entering directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
>>   CC     libltdl/loaders/libltdl_libltdl_la-preopen.lo
>> ./libtool: line 525: /home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh: No such file or directory
> 
> I'm not getting this from a fresh pull, bootstrap, configure process.

But I didn't try a fresh pull, bootstrap, configure process, and I don't
expect that to fail. I tried to move a tarball to another system and
use it there (in lose terms).

>> make[2]: *** [libltdl/loaders/libltdl_libltdl_la-preopen.lo] Error 1
>> make[2]: Leaving directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
>> make[1]: *** [all-recursive] Error 1
>> make[1]: Leaving directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
>> make: *** [all] Error 2
>> $
>>
>>
>> /home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh
>> isn't what you should use from MSYS, that file is called
>> /c/Cygwin/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh
>> from that side of the fence.
>>
> 
> It wasn't funclib.sh that complained but your libtool script.

I never said so, I said that the path pointing out funclib.sh
was wrong, not that the funclib.sh script as such was wrong.

>> I have also checked to just build a pristine tarball from
>> the MSYS side, without building on Cygwin first, same problem.
>> It appears that the path to funclib.sh is fixed during
>> bootstrap which of course is totally b0rked.
> 
> WJFFM.  I will say that I was completely outside of the source
> directory for both builds.

You probably still had access to the original directory where
the bootstrap happened.

Try this instead if you don't want to move a tarball to another
system:

$ cd /tmp
$ git clone git://git.savannah.gnu.org/libtool.git
$ cd libtool
$ ./bootstrap -fc


bootstrap fails, why? Is that also a regression?
I had to fix the tail of gl/README-release.diff,
with this diff (which is why the checkout is dirty):


diff --git a/gl/top/README-release.diff b/gl/top/README-release.diff
index 19cc3ec..49e2a7e 100644
--- a/gl/top/README-release.diff
+++ b/gl/top/README-release.diff
@@ -33,6 +33,6 @@
 
 +  If there are any problems, fix them and start again.
 +
- * To (i) set the date, version number, and release type [stable/alpha/beta]
-   on line 3 of NEWS, (ii) commit that, and (iii) tag the release, run
+ * To (i) set the date, version number, and release TYPE on line 3 of
+   NEWS, (ii) commit that, and (iii) tag the release, run
 


Now retry the bootstrap:

$ ./bootstrap -fc
$ ./configure
$ make
$ make dist
$ cp libtool-2.4.2.296-cfcb-dirty.tar.gz ..
$ cd ..
$ rm -rf libtool
$ tar xf libtool-2.4.2.296-cfcb-dirty.tar.gz
$ cd libtool-2.4.2.296-cfcb-dirty
$ ./configure
$ make
  GEN      libtoolize
make  all-recursive
make[1]: Entering directory `/tmp/libtool-2.4.2.296-cfcb-dirty'
Making all in .
make[2]: Entering directory `/tmp/libtool-2.4.2.296-cfcb-dirty'
  CC       libltdl/loaders/libltdl_libltdl_la-preopen.lo
./libtool: line 525: /tmp/libtool/build-aux/funclib.sh: No such file or directory
Makefile:1163: recipe for target `libltdl/loaders/libltdl_libltdl_la-preopen.lo' failed
make[2]: *** [libltdl/loaders/libltdl_libltdl_la-preopen.lo] Error 1
make[2]: Leaving directory `/tmp/libtool-2.4.2.296-cfcb-dirty'
Makefile:1511: recipe for target `all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/libtool-2.4.2.296-cfcb-dirty'
Makefile:905: recipe for target `all' failed
make: *** [all] Error 2




Some further info, "git grep auxscriptsdir" in the git checkout
returns this:
$ git grep auxscriptsdir
Makefile.am:              -e '/^\. /s|@auxscriptsdir\@|'$(abs_aux_dir)'|g' \
build-aux/ltmain.in:. "@auxscriptsdir@/funclib.sh"
build-aux/ltmain.in:. "@auxscriptsdir@/options-parser"
libtoolize.in:. "@auxscriptsdir@/funclib.sh"
libtoolize.in:. "@auxscriptsdir@/options-parser"
libtoolize.in:. "@auxscriptsdir@/extract-trace"

which makes libtool and libtoolize suspect.

However, only the libtool script seems affected, this is from the
configured tarball tree on MSYS (the [^n] part is there to exclude
paths starting with /c/Cygwin/home/...):

$ grep -r [^n]/home/peda *
build-aux/ltmain.sh:. "/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh"
build-aux/ltmain.sh:. "/home/peda/libtool/git/libtool-msvc/build-aux/options-parser"
libtool:. "/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh"
libtool:. "/home/peda/libtool/git/libtool-msvc/build-aux/options-parser"

Cheers,
Peter





Information forwarded to bug-libtool@HIDDEN:
bug#12672; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2012 15:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 11:17:08 2012
Received: from localhost ([127.0.0.1]:50076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOrqN-0002It-Gc
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 11:17:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60484)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <peda@HIDDEN>) id 1TOrqK-0002IM-Q7
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 11:17:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <peda@HIDDEN>) id 1TOroo-0008O1-U8
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 11:15:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35238)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <peda@HIDDEN>) id 1TOroo-0008Nv-QY
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 11:15:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46472)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <peda@HIDDEN>) id 1TOroe-0000i7-Vi
	for bug-libtool@HIDDEN; Thu, 18 Oct 2012 11:15:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <peda@HIDDEN>) id 1TOroa-0008LZ-Vc
	for bug-libtool@HIDDEN; Thu, 18 Oct 2012 11:15:20 -0400
Received: from mail.lysator.liu.se ([130.236.254.3]:60549)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <peda@HIDDEN>) id 1TOroa-0008Ke-Ot
	for bug-libtool@HIDDEN; Thu, 18 Oct 2012 11:15:16 -0400
Received: from mail.lysator.liu.se (localhost [127.0.0.1])
	by mail.lysator.liu.se (Postfix) with ESMTP id 659A140012
	for <bug-libtool@HIDDEN>; Thu, 18 Oct 2012 17:15:11 +0200 (CEST)
Received: from [192.168.0.64] (90-227-119-137-no95.business.telia.com
	[90.227.119.137])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by mail.lysator.liu.se (Postfix) with ESMTPSA id 40C464000C
	for <bug-libtool@HIDDEN>; Thu, 18 Oct 2012 17:15:11 +0200 (CEST)
Message-ID: <50801D36.8010004@HIDDEN>
Date: Thu, 18 Oct 2012 17:16:06 +0200
From: Peter Rosin <peda@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:16.0) Gecko/20121010 Thunderbird/16.0.1
MIME-Version: 1.0
To: bug-libtool@HIDDEN
Subject: Wrong path to funclib.sh
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Virus-Scanned: ClamAV using ClamSMTP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

Hi!

If I "make dist" in Cygwin, then extract the tarball
and configure it from a freshly created build dir, it
works just fine.

I.e.

$ cd /home/peda/libtool/git/cygwin
$ make dist
...
$ tar xf libtool-2.4.2.296-cfcb-dirty.tar.gz
$ cd libtool-2.4.2.296-cfcb-dirty
$ mkdir cyg
$ cd cyg
$ ../configure
...
$ make
...
$

So far so good, but if I then switch to MSYS/MinGW, which does not
have the same file system layout, I get:

$ cd /c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty
$ mkdir mgw
$ cd mgw
$ ../configure
...
$ make
  GEN    libtoolize
  GEN    libltdl/argz.h
make  all-recursive
make[1]: Entering directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
Making all in .
make[2]: Entering directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
  CC     libltdl/loaders/libltdl_libltdl_la-preopen.lo
./libtool: line 525: /home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh: No such file or directory
make[2]: *** [libltdl/loaders/libltdl_libltdl_la-preopen.lo] Error 1
make[2]: Leaving directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/c/Cygwin/home/peda/libtool/git/cygwin/libtool-2.4.2.296-cfcb-dirty/mgw'
make: *** [all] Error 2
$


/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh
isn't what you should use from MSYS, that file is called
/c/Cygwin/home/peda/libtool/git/libtool-msvc/build-aux/funclib.sh
from that side of the fence.

I have also checked to just build a pristine tarball from
the MSYS side, without building on Cygwin first, same problem.
It appears that the path to funclib.sh is fixed during
bootstrap which of course is totally b0rked.

Cheers,
Peter




Acknowledgement sent to Peter Rosin <peda@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#12672; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.